Page MenuHomePhabricator

Deploy Growth experiments at Armenian Wikipedia
Closed, ResolvedPublic

Description

First

  • Post on Village Pump and reach consensus
  • Have a group of people who will enroll in this project as mentors (helping on the help desk or as direct mentors)
  • People to contact on the community: @Ashot1997 (User:ԱշոտՏՆՂ)

Then

Translations

[v]Translate aliases for the interface:

  • "WelcomeSurvey" = "ՈղջույնիՀարցում"
  • "Homepage" = "Հիմնական էջ"
  • "Impact" = "Ազդեցություն"
  • "View more" = "Տես ավելին"

Help panel

Homepage

Mentors

  • Create if necessary or update the mentors list
    • the format is [[User:Name]]|Description (be careful about the position of the | in the example!)
    • add the following sentence at the top:

Please introduce yourself in a short way (240 characters max) so that newcomers will know more about you. To increase focus, your message will not render wikitext or links. [[mw:Special:MyLanguage/Growth/Communities/How to introduce yourself as a mentor|See examples and best practices.]]

Understanding First Day

  • The list of namespaces where page title will not be recorded for privacy reasons (namespaces 0, 1, 6, 7 are mandatory). =

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 18 2019, 9:17 AM
kostajh moved this task from Inbox to Q1 2019-20 on the Growth-Team board.Aug 19 2019, 12:39 PM
Xelgen added a subscriber: Xelgen.Aug 30 2019, 10:59 AM

@Ashot1997 and @Xelgen, feel free to help on translations. :)

Trizek-WMF updated the task description. (Show Details)Sep 5 2019, 10:35 AM
MMiller_WMF updated the task description. (Show Details)Sep 25 2019, 6:46 PM
MMiller_WMF updated the task description. (Show Details)Sep 25 2019, 6:49 PM

Hello, below you can find some of the missing information.

The mentors list will be created and updated soon. Please let me know if you need additional information.

Thank you @DavidSaroyan. I'm going to review all your information and check if something is not missing.

A note for the coming weeks: I talked with @nettrom_WMF today, and we decided that we will want Armenian Wikipedia to be part of the experiment when we deploy, as opposed to all users getting the features. That's because we think Armenian has enough user volume that it will impact how quickly the team can learn from the features (about 250 new user accounts per month).

@DavidSaroyan, thank you again for your work. I'm sorry that I didn't had the time to review it earlier.

I have two questions and requests.

Concerning namespaces and categories the Help panel search should display, you listed Help and Wikipedia, but Also Categories. I don't think it is wise to have every categories, since they mostly list articles; Is there some specific categories that list pages that would help people to understand Wikipedia or rules? Categories could be used to narrow down the results of the Wikipedia namespace. As an example, maybe newcomers need to get Wikipedia: pages related to rules and policies, but maybe not the ones that host the village pump or other projects?

Can you provide the titles for the 5 most important help pages you gave? Those titles can be different, like more descriptive.

Otherwise, I don't have any more comments. Good job!

Please also note the previous message. We want to add your wiki as part of our experiment. It means that only 50% of new users will get the features, to compare their interactions and actions with the other 50% that dont get it. Would it be a problem for your community?

Trizek-WMF updated the task description. (Show Details)Oct 8 2019, 4:33 PM

@Trizek-WMF, thank you too!

Regarding the namespaces that I mentioned, I think there's a misunderstanding. I had written "Namespaces: Help, Wikipedia; Categories: Կատեգորիա:Վիքիպեդիա:Օգնություն" meaning that you can have "Help and Wikipedia" namespaces and this category "Կատեգորիա:Վիքիպեդիա:Օգնություն". I didn't mean to include the whole Category namespace but only the mentioned one. The latter includes most of the help pages. Sorry for this.

Here are the titles of the five pages in the same order:

  • Օգնության գլխավոր էջ
  • Ինչպե՞ս խմբագրել Վիքիպեդիայում․ դասընթաց
  • Տարածված սխալներ և ինչպես խուսափել դրանցից
  • Հեղինակային իրավունքների մասին
  • Վիքիպեդիայի տերմինների բառարան

I think that 50% of new users getting this feature won't be a problem for the community. Thanks!

Thank you for the update, @DavidSaroyan!

I think that 50% of new users getting this feature won't be a problem for the community. Thanks!

If needed, newcomers can turn the features on in their preferences.

Do you have a list of mentors, people ready to help? If so, can you link it to https://www.wikidata.org/wiki/Q14339834. You can look at the pages for Arabic, Korean, Czech and Vietnamese to see an example.

Trizek-WMF updated the task description. (Show Details)Oct 14 2019, 1:08 PM

Any updates? :)

Great! I let you populate it a bit more. :)

Trizek-WMF updated the task description. (Show Details)Oct 30 2019, 6:35 PM

We only miss:

  • Help panel
    • Provide the URL of your help desk and the page title =
    • Explain how your Help desk is archived =
  • Namespaces that shouldn't be monitored by the experiments, for privacy reasons.
Trizek-WMF added a comment.EditedNov 14 2019, 11:03 AM

We have a monthly newsletter. Since your community is going to get the Growth experiments, you should consider to subscribe your wiki to it. Here are the links: translations and subscribe.

We only miss:

  • Provide the URL of your help desk and the page title =
  • Namespaces that shouldn't be monitored by the experiments, for privacy reasons.
  • the page title of your help desk ֊ Վիքիպեդիա:Հարցեր

Explain how your Help desk is archived =

  • By a bot. Archived page title looks like "Վիքիպեդիա:Հարցեր/Արխիվ/YEAR" (since it is not very active)

Namespaces that shouldn't be monitored by the experiments, for privacy reasons.

  • Let's leave it to default at this moment.
Trizek-WMF updated the task description. (Show Details)Nov 25 2019, 12:12 PM

I've reviewed the task again and you're almost ready. Congratulations!

When done we will move to the next step, where sub tasks will be created to have the deployment done.

@DavidSaroyan and @Ashot1997, are you the community members we can contact for the next steps? Thanks.

Hi @Trizek-WMF, the mentor list has 6 members now and I'm sure the number will grow. Sure, I'm willing to help with the next step.

Trizek-WMF added a subscriber: JTannerWMF.

Thank you for the last fixes.

I'm assigning the task to @JTannerWMF who will handle the next steps, by creating sub tasks for the deployment.

Trizek-WMF updated the task description. (Show Details)Nov 28 2019, 5:35 PM
MMiller_WMF updated the task description. (Show Details)Jan 15 2020, 5:24 PM

Which namespace(s) and/or categories the Help panel search should handle = https://hy.wikipedia.org/wiki/%D4%BF%D5%A1%D5%BF%D5%A5%D5%A3%D5%B8%D6%80%D5%AB%D5%A1:%D5%8E%D5%AB%D6%84%D5%AB%D5%BA%D5%A5%D5%A4%D5%AB%D5%A1:%D5%95%D5%A3%D5%B6%D5%B8%D6%82%D5%A9%D5%B5%D5%B8%D6%82%D5%B6

@Trizek-WMF: We don't support category search here yet, you can only search in entire namespaces. Right now, all wikis that have the help panel search in namespaces 4 (Wikipedia) and 12 (Help).

We should probably build support for category search though, it would probably be relatively easy.

Change 565446 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/GrowthExperiments@master] Add special page aliases for Armenian

https://gerrit.wikimedia.org/r/565446

Change 565447 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] GrowthExperiments: Enable help panel on hywiki

https://gerrit.wikimedia.org/r/565447

Change 565450 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] GrowthExperiments: Enable homepage on hywiki

https://gerrit.wikimedia.org/r/565450

Change 565446 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Add special page aliases for Armenian

https://gerrit.wikimedia.org/r/565446

@Catrope -- thanks for thinking of that category opportunity, but I think we should skip it, since help panel search isn't a major feature that we'll be thinking about going forward.

@Ashot1997, the deployment for your wiki is schedule to start this Wednesday. You will probably see the first newcomers asking for questions this day. Please report any troubles here!

@Catrope let's only get the Օգնություն: (Help) namespace.

Change 566381 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/GrowthExperiments@wmf/1.35.0-wmf.15] Add special page aliases for Armenian

https://gerrit.wikimedia.org/r/566381

Change 566381 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@wmf/1.35.0-wmf.15] Add special page aliases for Armenian

https://gerrit.wikimedia.org/r/566381

Mentioned in SAL (#wikimedia-operations) [2020-01-22T21:32:54Z] <catrope@deploy1001> Started scap: i18n changes for SWAT: Special page aliases for GrowthExperiments (T230676); messages for machinevision-tester group (T243440); fix namespace names for atj (T243125)

Mentioned in SAL (#wikimedia-operations) [2020-01-22T22:13:42Z] <catrope@deploy1001> Finished scap: i18n changes for SWAT: Special page aliases for GrowthExperiments (T230676); messages for machinevision-tester group (T243440); fix namespace names for atj (T243125) (duration: 40m 48s)

Change 565447 merged by jenkins-bot:
[operations/mediawiki-config@master] GrowthExperiments: Enable help panel on hywiki

https://gerrit.wikimedia.org/r/565447

Mentioned in SAL (#wikimedia-operations) [2020-01-22T22:30:55Z] <catrope@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Enable help panel on ukwiki, huwiki, hywiki (T238319, T231720, T230478, T230676) (duration: 01m 04s)

Change 565450 merged by jenkins-bot:
[operations/mediawiki-config@master] GrowthExperiments: Enable homepage on hywiki

https://gerrit.wikimedia.org/r/565450

Mentioned in SAL (#wikimedia-operations) [2020-01-22T22:39:12Z] <catrope@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Enable homepage on ukwiki, huwiki, hywiki (T238320, T231720, T230478, T230676) (duration: 01m 05s)

@Ashot1997 The welcome survey privacy statement misses its title. How do you say, "New User Welcome Survey Privacy Statement" in Armenian?

kostajh added a subscriber: kostajh.Feb 4 2020, 2:24 PM

@Trizek-WMF @Ashot1997 one of the mentors is listed as Մասնակից:Omicroñ'R but that's a redirect to Մասնակից:O'micron, and our software doesn't currently handle loading the redirect. Could you or someone else please update the mentors list page to use Մասնակից:O'micron?

Done.

@kostajh, one user has a template on their description. IIRC, this won't work, correct?

Done.

Thanks!

@kostajh, one user has a template on their description. IIRC, this won't work, correct?

@Trizek-WMF yeah that's my recollection as well. Plain text only, please. We should probably update our instructions at the top of each Mentors list page to specify no redirects, and plain text only.

I boldly fixed it. The documentation has been updated.

Trizek-WMF closed this task as Resolved.Aug 5 2020, 5:29 PM

Everything has been deployed for a while now!